apache-mod_ssl-2.4.26-1.mga6.x86_64.rpm


Advertisement

Description

apache-mod_ssl - Strong cryptography using the SSL and TLS protocols

Property Value
Distribution Mageia 6.1
Repository Mageia Core x86_64
Package filename apache-mod_ssl-2.4.26-1.mga6.x86_64.rpm
Package name apache-mod_ssl
Package version 2.4.26
Package release 1.mga6
Package architecture x86_64
Package type rpm
Category System/Servers
Homepage http://httpd.apache.org
License ASL 2.0
Maintainer -
Download size 94.83 KB
Installed size 242.32 KB
This module provides SSL v2/v3 and TLS v1 support for the Apache HTTP Server.
It was contributed by Ralf S. Engeschall based on his mod_ssl project and
originally derived from work by Ben Laurie.
This module relies on OpenSSL to provide the cryptography engine.
This module also have native SNI support, please look here for more
information:
* http://daniel-lange.com/plugin/tag/sni
* https://sni.velox.ch/

Alternatives

Package Version Architecture Repository
apache-mod_ssl-2.4.38-1.mga6.x86_64.rpm 2.4.38 x86_64 Mageia Core Updates
apache-mod_ssl-2.4.38-1.mga6.i586.rpm 2.4.38 i586 Mageia Core Updates
apache-mod_ssl-2.4.37-1.2.mga6.x86_64.rpm 2.4.37 x86_64 Mageia Core Updates
apache-mod_ssl-2.4.37-1.2.mga6.i586.rpm 2.4.37 i586 Mageia Core Updates
apache-mod_ssl-2.4.27-1.1.mga6.x86_64.rpm 2.4.27 x86_64 Mageia Core Updates
apache-mod_ssl-2.4.27-1.1.mga6.i586.rpm 2.4.27 i586 Mageia Core Updates
apache-mod_ssl-2.4.27-1.mga6.x86_64.rpm 2.4.27 x86_64 Mageia Core Updates
apache-mod_ssl-2.4.27-1.mga6.i586.rpm 2.4.27 i586 Mageia Core Updates
apache-mod_ssl-2.4.26-1.mga6.i586.rpm 2.4.26 i586 Mageia Core
apache-mod_ssl - - -

Requires

Name Value
apache -
apache >= 2.4.26-1.mga6
config(apache-mod_ssl) == 2.4.26-1.mga6
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libcrypto.so.1.0.0()(64bit) -
libdl.so.2()(64bit) -
libpthread.so.0()(64bit) -
libssl.so.1.0.0()(64bit) -
makedev -
openssl -

Provides

Name Value
apache-mod_ssl == 2.4.26-1.mga6
apache-mod_ssl(x86-64) == 2.4.26-1.mga6
config(apache-mod_ssl) == 2.4.26-1.mga6

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package apache-mod_ssl-2.4.26-1.mga6.x86_64.rpm
Source Package apache-2.4.26-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install apache-mod_ssl rpm package:
    # urpmi apache-mod_ssl

Files

Path
/etc/httpd/conf/conf.d/ssl.conf
/etc/httpd/conf/modules.d/00_mod_ssl.conf
/etc/httpd/conf/sites.d/00_default_ssl_vhost.conf
/usr/lib64/httpd/modules/mod_ssl.so
/var/cache/httpd/mod_ssl/scache.dir
/var/cache/httpd/mod_ssl/scache.pag
/var/cache/httpd/mod_ssl/scache.sem

Changelog

2017-06-20 - shlomif <shlomif> 2.4.26-1.mga6
+ Revision: 1107940
- New version 2.4.26 - fix for bugs - MGA#20002 .
2016-12-26 - luigiwalser <luigiwalser> 2.4.25-2.mga6
+ Revision: 1077896
- remove CVE patches for issues fixed in 2.4.25
2016-12-24 - shlomif <shlomif> 2.4.25-1.mga6
+ Revision: 1077190
- New version 2.4.25 with bug fixes ( MGA#20002 ).
2016-12-11 - ngompa <ngompa> 2.4.23-5.mga6
+ Revision: 1074168
- Lower max ncpus per luigiwalser, bump suexec uid/gid min to 500
- Remove unneeded %pretrans
2016-12-05 - luigiwalser <luigiwalser> 2.4.23-3.mga6
+ Revision: 1072633
- add upstream patch to fix CVE-2016-8740
2016-07-19 - luigiwalser <luigiwalser> 2.4.23-2.mga6
+ Revision: 1042580
- rediff patch from redhat to fix CVE-2016-5387
2016-07-06 - tmb <tmb> 2.4.23-1.mga6
+ Revision: 1039075
- update to 2.4.23 (CVE-2016-4979)
- fix build with systemd 230
2016-06-21 - shlomif <shlomif> 2.4.20-3.mga6
+ Revision: 1037062
- Convert tabs to spaces - rpmlint
- Remove trailing space
- Hopefully Fix mod_dav (MGA#18747).
2016-04-16 - oden <oden> 2.4.20-2.mga6
+ Revision: 1002970
- rebuilt because sometimes mod_systemd.so builds and sometimes not (#1)
- 2.4.20
2016-03-02 - umeabot <umeabot> 2.4.18-4.mga6
+ Revision: 983140
- Rebuild for openssl

See Also

Package Description
apache-mod_suexec-2.4.26-1.mga6.x86_64.rpm Allows CGI scripts to run as a specified user and Group
apache-mod_userdir-2.4.26-1.mga6.x86_64.rpm User-specific directories
apache-mod_wsgi-4.4.22-1.mga6.x86_64.rpm Python WSGI adapter module for Apache
apache-parent-18-2.mga6.noarch.rpm Parent POM file for Apache projects
apache-poi-3.14-1.mga6.noarch.rpm The Java API for Microsoft Documents
apache-poi-javadoc-3.14-1.mga6.noarch.rpm Javadoc for apache-poi
apache-python3-mod_wsgi-4.4.22-1.mga6.x86_64.rpm Python3 WSGI adapter module for Apache
apache-rat-0.11-4.mga6.noarch.rpm Apache Release Audit Tool (RAT)
apache-rat-core-0.11-4.mga6.noarch.rpm Core functionality for apache-rat
apache-rat-javadoc-0.11-4.mga6.noarch.rpm Javadocs for apache-rat
apache-rat-plugin-0.11-4.mga6.noarch.rpm Maven plugin for apache-rat
apache-rat-tasks-0.11-4.mga6.noarch.rpm Ant tasks for apache-rat
apache-resource-bundles-2-18.mga6.noarch.rpm Apache Resource Bundles
apache-sshd-0.14.0-1.mga6.noarch.rpm Apache SSHD
apache-sshd-javadoc-0.14.0-1.mga6.noarch.rpm API documentation for apache-sshd
Advertisement
Advertisement